Skip to main content
GET
/
labels
curl -X GET https://app.trypost.it/api/labels \
  -H "Authorization: Bearer YOUR_API_KEY"
[
  {
    "id": "c3d4e5f6-a7b8-9c0d-1e2f-3a4b5c6d7e8f",
    "name": "Product Launch",
    "color": "#4f46e5",
    "created_at": "2025-01-10 08:00:00",
    "updated_at": "2025-01-10 08:00:00"
  },
  {
    "id": "f6a7b8c9-d0e1-2f3a-4b5c-6d7e8f9a0b1c",
    "name": "Urgent",
    "color": "#ef4444",
    "created_at": "2025-01-12 14:00:00",
    "updated_at": "2025-01-12 14:00:00"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.trypost.it/llms.txt

Use this file to discover all available pages before exploring further.

Response

Plain array of label objects. Each item has these fields:
id
string
Label UUID.
name
string
Label name.
color
string
Hex color code in #RRGGBB format (e.g. #4f46e5).
created_at
string
Creation timestamp in Y-m-d H:i:s format.
updated_at
string
Last update timestamp in Y-m-d H:i:s format.
curl -X GET https://app.trypost.it/api/labels \
  -H "Authorization: Bearer YOUR_API_KEY"
[
  {
    "id": "c3d4e5f6-a7b8-9c0d-1e2f-3a4b5c6d7e8f",
    "name": "Product Launch",
    "color": "#4f46e5",
    "created_at": "2025-01-10 08:00:00",
    "updated_at": "2025-01-10 08:00:00"
  },
  {
    "id": "f6a7b8c9-d0e1-2f3a-4b5c-6d7e8f9a0b1c",
    "name": "Urgent",
    "color": "#ef4444",
    "created_at": "2025-01-12 14:00:00",
    "updated_at": "2025-01-12 14:00:00"
  }
]